# mhn Reference Guide

mhn: process MIME mail (deprecated in nmh-1.0+)

+folder (default: current folder)
  Folder name
msgs (default: current)
  Message(s) to process
-file file
  File to use (instead of message in a folder)

-build file (nmh only)
  Convert draft file with directives into MIME draft, in-place (in MH and nmh, storing file pathname in the mhdraft environment variable does the same thing)

-list
  Summarize message parts
-nolist
  Cancel previous -list switch
-headers (default)
  Print banner above listing
-noheaders
  Don't print banner
-realsize (default)
  List decoded part size
-norealsize
  List encoded part size

-show (default)
  Display message
-noshow
  Cancel previous -show switch
-serialonly
  Never display more than one message part simultaneously
-noserialonly (default)
  Possibly display multipart/parallel parts simultaneously
-form formfile
  mhl format file for message headers (default: mhl.headers)
-pause (default)
  Pause between message parts if display string contains `%p`
-nopause
  Don't pause between message parts
-nomoreproc (undocumented)
  Don't use moreproc on message header

-store, more...
  Store message parts
-nostore
  Cancel previous -store switch
-auto
  Obey `name=` filename parameter in Content-type: header field
-noauto (default)
  Ignore `name=` filename parameter

-cache
  Store external body parts in a cache
-nocache (default)
  Don't store external body parts
-rcache policy, more...
  Policy for reading cache. Values: public, private, never, ask
-wcache policy, more...
  Policy for writing cache. Values: public, private, never, ask

-check
  Add or test message integrity check
-nocheck (default)
  Don't check message

-rfc934mode, more... (default)
  When forwarding a message, simulate RFC 934 "bit stuffing"
-norfc934mode
  Use standard MIME message forwarding

-verbose
  Give more information during -list
-noverbose (default)
  Give standard information